// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

/**
 * Protobuf type {@code dsepractice.chinese.v1alpha1.GameSessionResult}
 */
public  final class GameSessionResult extends
    com.google.protobuf.GeneratedMessageLite<
        GameSessionResult, GameSessionResult.Builder> implements
    // @@protoc_insertion_point(message_implements:dsepractice.chinese.v1alpha1.GameSessionResult)
    GameSessionResultOrBuilder {
  private GameSessionResult() {
  }
  public static final int TIME_TAKEN_FIELD_NUMBER = 1;
  private com.google.protobuf.Duration timeTaken_;
  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   */
  @java.lang.Override
  public boolean hasTimeTaken() {
    return timeTaken_ != null;
  }
  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Duration getTimeTaken() {
    return timeTaken_ == null ? com.google.protobuf.Duration.getDefaultInstance() : timeTaken_;
  }
  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   */
  private void setTimeTaken(com.google.protobuf.Duration value) {
    value.getClass();
  timeTaken_ = value;
    
    }
  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeTimeTaken(com.google.protobuf.Duration value) {
    value.getClass();
  if (timeTaken_ != null &&
        timeTaken_ != com.google.protobuf.Duration.getDefaultInstance()) {
      timeTaken_ =
        com.google.protobuf.Duration.newBuilder(timeTaken_).mergeFrom(value).buildPartial();
    } else {
      timeTaken_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
   */
  private void clearTimeTaken() {  timeTaken_ = null;
    
  }

  public static final int SUCCESS_FIELD_NUMBER = 2;
  private boolean success_;
  /**
   * <code>bool success = 2 [json_name = "success"];</code>
   * @return The success.
   */
  @java.lang.Override
  public boolean getSuccess() {
    return success_;
  }
  /**
   * <code>bool success = 2 [json_name = "success"];</code>
   * @param value The success to set.
   */
  private void setSuccess(boolean value) {
    
    success_ = value;
  }
  /**
   * <code>bool success = 2 [json_name = "success"];</code>
   */
  private void clearSuccess() {
    
    success_ = false;
  }

  public static final int SCORE_FIELD_NUMBER = 3;
  private long score_;
  /**
   * <code>int64 score = 3 [json_name = "score"];</code>
   * @return The score.
   */
  @java.lang.Override
  public long getScore() {
    return score_;
  }
  /**
   * <code>int64 score = 3 [json_name = "score"];</code>
   * @param value The score to set.
   */
  private void setScore(long value) {
    
    score_ = value;
  }
  /**
   * <code>int64 score = 3 [json_name = "score"];</code>
   */
  private void clearScore() {
    
    score_ = 0L;
  }

  public static final int SUBMITTED_AT_FIELD_NUMBER = 4;
  private com.google.protobuf.Timestamp submittedAt_;
  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   */
  @java.lang.Override
  public boolean hasSubmittedAt() {
    return submittedAt_ != null;
  }
  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   */
  @java.lang.Override
  public com.google.protobuf.Timestamp getSubmittedAt() {
    return submittedAt_ == null ? com.google.protobuf.Timestamp.getDefaultInstance() : submittedAt_;
  }
  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   */
  private void setSubmittedAt(com.google.protobuf.Timestamp value) {
    value.getClass();
  submittedAt_ = value;
    
    }
  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   */
  @java.lang.SuppressWarnings({"ReferenceEquality"})
  private void mergeSubmittedAt(com.google.protobuf.Timestamp value) {
    value.getClass();
  if (submittedAt_ != null &&
        submittedAt_ != com.google.protobuf.Timestamp.getDefaultInstance()) {
      submittedAt_ =
        com.google.protobuf.Timestamp.newBuilder(submittedAt_).mergeFrom(value).buildPartial();
    } else {
      submittedAt_ = value;
    }
    
  }
  /**
   * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
   */
  private void clearSubmittedAt() {  submittedAt_ = null;
    
  }

  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      java.nio.ByteBuffer data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      java.nio.ByteBuffer data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      com.google.protobuf.ByteString data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      com.google.protobuf.ByteString data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(byte[] data)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      byte[] data,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws com.google.protobuf.InvalidProtocolBufferException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, data, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(java.io.InputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseDelimitedFrom(java.io.InputStream input)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseDelimitedFrom(
      java.io.InputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return parseDelimitedFrom(DEFAULT_INSTANCE, input, extensionRegistry);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      com.google.protobuf.CodedInputStream input)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input);
  }
  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult parseFrom(
      com.google.protobuf.CodedInputStream input,
      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
      throws java.io.IOException {
    return com.google.protobuf.GeneratedMessageLite.parseFrom(
        DEFAULT_INSTANCE, input, extensionRegistry);
  }

  public static Builder newBuilder() {
    return (Builder) DEFAULT_INSTANCE.createBuilder();
  }
  public static Builder newBuilder(gg.dsepractice.chinese.v1alpha1.GameSessionResult prototype) {
    return (Builder) DEFAULT_INSTANCE.createBuilder(prototype);
  }

  /**
   * Protobuf type {@code dsepractice.chinese.v1alpha1.GameSessionResult}
   */
  public static final class Builder extends
      com.google.protobuf.GeneratedMessageLite.Builder<
        gg.dsepractice.chinese.v1alpha1.GameSessionResult, Builder> implements
      // @@protoc_insertion_point(builder_implements:dsepractice.chinese.v1alpha1.GameSessionResult)
      gg.dsepractice.chinese.v1alpha1.GameSessionResultOrBuilder {
    // Construct using gg.dsepractice.chinese.v1alpha1.GameSessionResult.newBuilder()
    private Builder() {
      super(DEFAULT_INSTANCE);
    }


    /**
     * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
     */
    @java.lang.Override
    public boolean hasTimeTaken() {
      return instance.hasTimeTaken();
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Duration getTimeTaken() {
      return instance.getTimeTaken();
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
     */
    public Builder setTimeTaken(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.setTimeTaken(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
     */
    public Builder setTimeTaken(
        com.google.protobuf.Duration.Builder builderForValue) {
      copyOnWrite();
      instance.setTimeTaken(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
     */
    public Builder mergeTimeTaken(com.google.protobuf.Duration value) {
      copyOnWrite();
      instance.mergeTimeTaken(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Duration time_taken = 1 [json_name = "timeTaken"];</code>
     */
    public Builder clearTimeTaken() {  copyOnWrite();
      instance.clearTimeTaken();
      return this;
    }

    /**
     * <code>bool success = 2 [json_name = "success"];</code>
     * @return The success.
     */
    @java.lang.Override
    public boolean getSuccess() {
      return instance.getSuccess();
    }
    /**
     * <code>bool success = 2 [json_name = "success"];</code>
     * @param value The success to set.
     * @return This builder for chaining.
     */
    public Builder setSuccess(boolean value) {
      copyOnWrite();
      instance.setSuccess(value);
      return this;
    }
    /**
     * <code>bool success = 2 [json_name = "success"];</code>
     * @return This builder for chaining.
     */
    public Builder clearSuccess() {
      copyOnWrite();
      instance.clearSuccess();
      return this;
    }

    /**
     * <code>int64 score = 3 [json_name = "score"];</code>
     * @return The score.
     */
    @java.lang.Override
    public long getScore() {
      return instance.getScore();
    }
    /**
     * <code>int64 score = 3 [json_name = "score"];</code>
     * @param value The score to set.
     * @return This builder for chaining.
     */
    public Builder setScore(long value) {
      copyOnWrite();
      instance.setScore(value);
      return this;
    }
    /**
     * <code>int64 score = 3 [json_name = "score"];</code>
     * @return This builder for chaining.
     */
    public Builder clearScore() {
      copyOnWrite();
      instance.clearScore();
      return this;
    }

    /**
     * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
     */
    @java.lang.Override
    public boolean hasSubmittedAt() {
      return instance.hasSubmittedAt();
    }
    /**
     * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
     */
    @java.lang.Override
    public com.google.protobuf.Timestamp getSubmittedAt() {
      return instance.getSubmittedAt();
    }
    /**
     * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
     */
    public Builder setSubmittedAt(com.google.protobuf.Timestamp value) {
      copyOnWrite();
      instance.setSubmittedAt(value);
      return this;
      }
    /**
     * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
     */
    public Builder setSubmittedAt(
        com.google.protobuf.Timestamp.Builder builderForValue) {
      copyOnWrite();
      instance.setSubmittedAt(builderForValue.build());
      return this;
    }
    /**
     * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
     */
    public Builder mergeSubmittedAt(com.google.protobuf.Timestamp value) {
      copyOnWrite();
      instance.mergeSubmittedAt(value);
      return this;
    }
    /**
     * <code>.google.protobuf.Timestamp submitted_at = 4 [json_name = "submittedAt"];</code>
     */
    public Builder clearSubmittedAt() {  copyOnWrite();
      instance.clearSubmittedAt();
      return this;
    }

    // @@protoc_insertion_point(builder_scope:dsepractice.chinese.v1alpha1.GameSessionResult)
  }
  @java.lang.Override
  @java.lang.SuppressWarnings({"unchecked", "fallthrough"})
  protected final java.lang.Object dynamicMethod(
      com.google.protobuf.GeneratedMessageLite.MethodToInvoke method,
      java.lang.Object arg0, java.lang.Object arg1) {
    switch (method) {
      case NEW_MUTABLE_INSTANCE: {
        return new gg.dsepractice.chinese.v1alpha1.GameSessionResult();
      }
      case NEW_BUILDER: {
        return new Builder();
      }
      case BUILD_MESSAGE_INFO: {
          java.lang.Object[] objects = new java.lang.Object[] {
            "timeTaken_",
            "success_",
            "score_",
            "submittedAt_",
          };
          java.lang.String info =
              "\u0000\u0004\u0000\u0000\u0001\u0004\u0004\u0000\u0000\u0000\u0001\t\u0002\u0007" +
              "\u0003\u0002\u0004\t";
          return newMessageInfo(DEFAULT_INSTANCE, info, objects);
      }
      // fall through
      case GET_DEFAULT_INSTANCE: {
        return DEFAULT_INSTANCE;
      }
      case GET_PARSER: {
        com.google.protobuf.Parser<gg.dsepractice.chinese.v1alpha1.GameSessionResult> parser = PARSER;
        if (parser == null) {
          synchronized (gg.dsepractice.chinese.v1alpha1.GameSessionResult.class) {
            parser = PARSER;
            if (parser == null) {
              parser =
                  new DefaultInstanceBasedParser<gg.dsepractice.chinese.v1alpha1.GameSessionResult>(
                      DEFAULT_INSTANCE);
              PARSER = parser;
            }
          }
        }
        return parser;
    }
    case GET_MEMOIZED_IS_INITIALIZED: {
      return (byte) 1;
    }
    case SET_MEMOIZED_IS_INITIALIZED: {
      return null;
    }
    }
    throw new UnsupportedOperationException();
  }


  // @@protoc_insertion_point(class_scope:dsepractice.chinese.v1alpha1.GameSessionResult)
  private static final gg.dsepractice.chinese.v1alpha1.GameSessionResult DEFAULT_INSTANCE;
  static {
    GameSessionResult defaultInstance = new GameSessionResult();
    // New instances are implicitly immutable so no need to make
    // immutable.
    DEFAULT_INSTANCE = defaultInstance;
    com.google.protobuf.GeneratedMessageLite.registerDefaultInstance(
      GameSessionResult.class, defaultInstance);
  }

  public static gg.dsepractice.chinese.v1alpha1.GameSessionResult getDefaultInstance() {
    return DEFAULT_INSTANCE;
  }

  private static volatile com.google.protobuf.Parser<GameSessionResult> PARSER;

  public static com.google.protobuf.Parser<GameSessionResult> parser() {
    return DEFAULT_INSTANCE.getParserForType();
  }
}

